view packaging/linux-installer.inc.in @ 697:a45682b5ff7e

(Auto) Update translations
author Andre Heinecke <andre.heinecke@intevation.de>
date Tue, 01 Jul 2014 17:20:23 +0200
parents 578860edde53
children b55d49150e36
line wrap: on
line source
#!/bin/bash

PREFIX=/usr/local

fatal()
{
  echo "$1" >&2
  echo "Installation failed." >&2
  exit 1
}

cat <<EOF
------------------------------------------------------------------------

   TrustBridge - Installer
   Version @PROJECT_VERSION@

------------------------------------------------------------------------
EOF

echo -n "Select installation prefix for TrustBridge [${PREFIX}]: "
read -e path

[ -z "$path" ] && path="${PREFIX}"

echo "Installing to '$path':"

if [ ! -d "$path" ] ; then
    echo "creating installation directory ..."
    install -d "$path" || fatal "Could not create '$path'!"
fi

echo "unpacking files ..."
cd "$path"

# ----------------------------------------------------------------------
# regular shar archive appended here:

http://wald.intevation.org/projects/trustbridge/